#!/bin/ash
echo save adept data
if [ -f /mnt/mmc0p3/.adept/device.xml ]; then
	cp /mnt/mmc0p3/.adept/device.xml /tmp/device.xml
fi
if [ -f /mnt/mmc0p3/.adept/devicesalt ]; then
	cp /mnt/mmc0p3/.adept/devicesalt /tmp/devicesalt
fi
if [ -f /mnt/mmc0p3/.adept/devicekey ]; then
	cp /mnt/mmc0p3/.adept/devicekey /tmp/devicekey
fi

echo format mmcblk0p3 to clean rwdata
umount /dev/mmcblk0p3
mkfs.ext3 /dev/mmcblk0p3

echo restore adept data
mount /dev/mmcblk0p3 /mnt/mmc0p3
if [ -f /tmp/device.xml ]; then
	mkdir /mnt/mmc0p3/.adept
	cp /tmp/device.xml /mnt/mmc0p3/.adept/device.xml
fi
if [ -f /tmp/devicesalt ]; then
	mkdir /mnt/mmc0p3/.adept
	cp /tmp/devicesalt /mnt/mmc0p3/.adept/devicesalt
fi
if [ -f /tmp/devicekey ]; then
	mkdir /mnt/mmc0p3/.adept
	cp /tmp/devicekey /mnt/mmc0p3/.adept/devicekey
fi

echo assign volumn label to mass storage drive
umount /dev/mmcblk0p2
masslabel="ONEXT Book"
findname=$(dosfslabel /dev/mmcblk0p2 | grep -c $masslabel)
if [ $findname -eq 0 ];then
dosfslabel /dev/mmcblk0p2 $masslabel
fi
exit 0